summaryrefslogtreecommitdiff
path: root/x11-wm/i3
diff options
context:
space:
mode:
authorKacper Kowalik <xarthisius@gentoo.org>2015-09-30 09:42:35 -0500
committerKacper Kowalik <xarthisius@gentoo.org>2015-09-30 09:43:10 -0500
commitd8872fedeb3c56aa0258fa3d7e8369bdd558f66b (patch)
tree5eea84556ec5c3411a45fc1184ef5c092617cb7d /x11-wm/i3
parentmedia-gfx/nvidia-cg-toolkit: drop unnecessary IUSE=multilib (diff)
downloadgentoo-d8872fedeb3c56aa0258fa3d7e8369bdd558f66b.tar.gz
gentoo-d8872fedeb3c56aa0258fa3d7e8369bdd558f66b.tar.bz2
gentoo-d8872fedeb3c56aa0258fa3d7e8369bdd558f66b.zip
Version bump
Package-Manager: portage-2.2.20
Diffstat (limited to 'x11-wm/i3')
-rw-r--r--x11-wm/i3/Manifest1
-rw-r--r--x11-wm/i3/i3-4.11.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/x11-wm/i3/Manifest b/x11-wm/i3/Manifest
index 8d2e1707546..45f3a57dd29 100644
--- a/x11-wm/i3/Manifest
+++ b/x11-wm/i3/Manifest
@@ -1,3 +1,4 @@
DIST i3-4.10.4.tar.bz2 940744 SHA256 dd4fa7a5c5b8feaf83f196fc181bfd33aff65c11d81c91b3ae9d9d3d2540655e SHA512 e777d1ca8ebeada185dfe11443a8b731cb72b6f836a0848e24291ea5d70e4b6d6c414acd58c156be97bd90d07ba4019a713cdb406a24fda33afeae08ceb6ed18 WHIRLPOOL 5bfaeb74d8f1c3dc10719bcac56087d7716e0a7a6c251495db256af1d1342eea3baae4b5c4f6c8131efa89393016c0dd0a56b17ff1f7bd757185dbf4747e7441
+DIST i3-4.11.tar.bz2 972929 SHA256 78ce1e06fbd92fd63765bbe23faa7b8f929c17f99ed623f7abf2e568169d982f SHA512 76d45be9006973dd4093fd21ea1c83742b7977c7698e133ce8f9e7826d97d1631fbe6c3ea4a7eb3d989027f98e12738158e72ec450b0df3dddd28f912ff49a4f WHIRLPOOL f3bff5c0386ad09c5cabb25c7ccb14033f1a7ba3ee19fcc832739cbc61a31f84d3a57418264db4728fbb406c24464a8c87cbfde1e651599a3b63d87eb0af11cb
DIST i3-4.8.tar.bz2 939690 SHA256 502c34290f239780bb40352191f0500e8f35d2446eddb573c67c27873d6a1b6b SHA512 fd6f92da857246119f1ae710b6c5168128fa2da5eae8308550b1b9c75879f060cac8246897333f3d67e18de36828a11dd12b4ccee9bd6cd6ad32e2b44c50b43e WHIRLPOOL 6c6288cb66ffdbf225df0dfcdc4f540cd36d7c8333a9f9d9c363cb6580d6a7c1ca0deb227a8f46ac907f2afc6e4e46efc448a51f0764a167bb9639956beae4ef
DIST i3-4.9.1.tar.bz2 939630 SHA256 b70deff027c7d05276c9646e53faeeeccdde706370b9b337a633bed85b16dc43 SHA512 7a8f71dd944faae426a2239b8bf12ea1cfc83a95c49fcb64ded8321ef302f3277af7d2ecd84d99cef47aba73e5a1091f94e37e9ed2af78c4722ffee507477c90 WHIRLPOOL 15cd2722beaeef642815edd44ff189ff0d003fefbff71c067b94a65dadb55cd15dd1a142a37499fa55cc80424dbdc74cb979c8998d740addcc492eaf025e467f
diff --git a/x11-wm/i3/i3-4.11.ebuild b/x11-wm/i3/i3-4.11.ebuild
new file mode 100644
index 00000000000..17b045c57b6
--- /dev/null
+++ b/x11-wm/i3/i3-4.11.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="An improved dynamic tiling window manager"
+HOMEPAGE="http://i3wm.org/"
+SRC_URI="http://i3wm.org/downloads/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+pango"
+
+CDEPEND="dev-libs/libev
+ dev-libs/libpcre
+ >=dev-libs/yajl-2.0.3
+ x11-libs/libxcb[xkb]
+ x11-libs/libxkbcommon[X]
+ x11-libs/startup-notification
+ x11-libs/xcb-util
+ x11-libs/xcb-util-cursor
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-wm
+ pango? (
+ >=x11-libs/pango-1.30.0[X]
+ >=x11-libs/cairo-1.12.2[X,xcb]
+ )"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ dev-lang/perl
+ dev-perl/AnyEvent-I3
+ dev-perl/JSON-XS"
+
+DOCS=( RELEASE-NOTES-${PV} )
+
+src_prepare() {
+ if ! use pango; then
+ sed -i common.mk -e '/PANGO/d' || die
+ fi
+
+ cat <<- EOF > "${T}"/i3wm
+ #!/bin/sh
+ exec /usr/bin/i3
+ EOF
+ sed -e 's/FALSE/false/' -i src/handlers.c || die #546444
+ epatch_user #471716
+}
+
+src_compile() {
+ emake V=1 CC="$(tc-getCC)" AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ dohtml -r docs/*
+ doman man/*.1
+ exeinto /etc/X11/Sessions
+ doexe "${T}"/i3wm
+}
+
+pkg_postinst() {
+ einfo "There are several packages that you may find useful with ${PN} and"
+ einfo "their usage is suggested by the upstream maintainers, namely:"
+ einfo " x11-misc/dmenu"
+ einfo " x11-misc/i3status"
+ einfo " x11-misc/i3lock"
+ einfo "Please refer to their description for additional info."
+}